Update a user limit
curl --request PATCH \
--url https://api.example.com/v1/user-limits/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedModels": [
"claude-sonnet-4-6"
],
"budgetCapUsd": 25
}
'import requests
url = "https://api.example.com/v1/user-limits/{userId}"
payload = {
"allowedModels": ["claude-sonnet-4-6"],
"budgetCapUsd": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({allowedModels: ['claude-sonnet-4-6'], budgetCapUsd: 25})
};
fetch('https://api.example.com/v1/user-limits/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
user-limits
Update a user limit
PATCH
/
v1
/
user-limits
/
{userId}
Update a user limit
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - undefined
⌘I